.header {
    z-index: 5;
    position: fixed;
    width: 100%;
    background-color: $white;
    
    .main {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 20px 0;
        border-bottom: 1px solid $gray;

        @media (max-width: 1024px) {
            border-bottom: none;
        }

        @media (max-width: 375px) {
            padding: 18px 0;
        }

        .logo {
            svg {
                @media (max-width: 576px) {
                    width: 158px;
                    height: 34px;
                }
            }
        }

        .wrapper {
            display: flex;
            gap: 20px;

            &__account {
                @include mainButton;

                @media (max-width: 576px) {
                    padding: 11px;
                    border-radius: 100%;
                    width: 40px;
                    height: 40px;

                    span {
                        &:last-child {
                            display: none;
                        }
                    }
                }
            }

            &__menu {
                display: none;
                flex-direction: column;
                gap: 10px;
                justify-content: center;
                transition: 0.3s ease;

                @media (max-width: 1024px) {
                    display: flex;
                }

                span {
                    transition: 0.3s ease;
                    height: 3px;
                    width: 40px;
                    background-color: $black;
                    border-radius: 10px;
                }
            }

            .burger__btn.active {
                position: relative;
                
                span {
                    &:nth-child(1) {
                        transform: rotate(135deg);
                    }

                    &:nth-child(2) {
                        display: none;
                    }

                    &:nth-child(3) {
                        transform: rotate(-135deg);
                        position: absolute;
                        top: 20px;
                    }
                }
            }
        }
    }

    .navigation {
        transition: 0.3s ease;

        @media (max-width: 1024px) {
            background-color: $cultured;
            height: 100vh;
            position: fixed;
            width: 100%;
            left: -150%;
            overflow: hidden;
            visibility: hidden;
            opacity: 0;
        }

        .nav {
            display: flex;
            justify-content: space-between;
            padding: 25px 0;
    
            @media (max-width: 1024px) {
                flex-direction: column;
                gap: 25px;
                text-align: center;
                align-items: center;
            }
    
            &__link {
                @include text16;
    
                &:hover {
                    color: $blueJeans;
                }
            }
        }
    }

    .navigation.active {
        overflow: visible;
        visibility: visible;
        opacity: 1;
        left: 0;
        z-index: 5;
    }
}